Skip to main content
GET
/
v2
/
deposit-destinations
/
{id}
Retrieve a deposit destination
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/deposit-destinations/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0176e1ea-60ca-c561-eb8e-6dcdb33b1b55",
  "account": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "employer": "Whole Goods",
  "destination_type": "ach_deposit_account",
  "status": "active",
  "allocation_type": "amount",
  "currency": "USD",
  "allocation_value": "325.70",
  "method": "Direct deposit",
  "ach_deposit_account": {
    "account_number": "123456780000",
    "bank_name": "NW Bank",
    "routing_number": "026010000",
    "account_type": "savings"
  },
  "created_at": "2023-03-14T16:00:49.420Z",
  "updated_at": "2023-03-14T16:00:49.420Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the deposit destination object to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the deposit destination.

account
string<uuid>

ID of the account associated with the deposit destination.

employer
string

Employer name.

destination_type
enum<string>

Destination where payouts are sent.

Available options:
ach_deposit_account,
card,
acss_debit
status
enum<string>

Whether the deposit destination is currently set to receive payments.

Additional details for gig employers: inactive indicates the user added this card or bank account to the gig platform, but chose another preferred deposit destination in their payout settings.


Note: Deposit destination details for individual payouts from gig employers are also listed within the metadata object of the user's paystubs.

// Example - payout to debit card:

"metadata": {
"origin_type": "DRIVER_DIRECT",
"payout_on": "2022-06-28 21:15:04+00:00",
"issue_info": {
"description": "",
"type": "UNKNOWN_ISSUE_TYPE"
},
"deposited_ot": "2321 Visa",
"origin_period": null,
"raw_type": "DRIVER_DIRECT"
}
// Example - payout to bank account:

"metadata": {
"origin_type": "REGULAR",
"payout_on": "2022-11-17 07:20:32+00:00",
"issue_info": {
"description": "",
"type": "UNKNOWN_ISSUE_TYPE"
},
"deposited_ot": "5329 FIFTH SIXTH BANK",
"origin_period": {
"start": "2022-11-14 14:06:29+00:00",
"end": "2022-11-16 14:06:29+00:00"
},
"raw_type": "REGULAR"
}
Available options:
active,
inactive,
pending
allocation_type
enum<string>

Whether payments sent to this deposit destination are a percentage or amount of the user's total pay.

Available options:
percent,
amount
currency
string

Currency (ISO 4217) in which payouts are sent to the deposit destination.

allocation_value
string

What percent or amount of the user's pay is being allocated to this deposit destination.

Numerical values are used for exact amounts or percentages, and remainder is used when this deposit destination is receiving a remainder amount after pay is allocated to all other deposit destinations.

method
string

Payment method, such as direct deposit.

ach_deposit_account
object

Details for deposit destinations with a destination_type of ach_deposit_account, which pertains to U.S. bank accounts.

card
object

Details for deposit destinations with a destination_type of card, which pertains to debit cards or similar cards that can receive payouts.

acss_debit
object

Details for deposit destinations with a destination_type of acss_debit, which pertains to Canadian bank accounts that use the Automated Clearing Settlement System (ACSS).

created_at
string<datetime>

Timestamp (ISO 8601) when the deposit destination object was created.

updated_at
string<datetime>

Timestamp (ISO 8601) when a property value of the deposit destination object most recently changed.

metadata
object

Additional, non-categorized information.